Help please. this is only site it trust.

Discussion in 'Jailbreaks and iOS Hacks' started by MacMane, May 8, 2009.

  1. MacMane macrumors regular

    Joined:
    May 1, 2009
    Location:
    Orlando, Fl
    #1
    I have 2 iphone 3gs, one 8 gig jailbroken/unlocked firmware 2.2 (2.28.00), the other 16 gig jailbroken but not unlocked firmware 2.2.1 (2.30.00). i currently use the 8gig because i have T-mobile and it is unlocked. I want to switch to the 16gig but im not 100% sure but i think i have to downgrade the firmware to unlock it rite? if someone can be nice enough to just type all the steps to solve my problem im sure i can figure it out. your help will be greatly appreciated :D

    Edit: i do NOT have an Apple computer :-(
     
  2. jav6454 macrumors P6

    jav6454

    Joined:
    Nov 14, 2007
    Location:
    1 Geostationary Tower Plaza
    #2
    You can't downgrade the baseband if you do not have the right bootloader. Also, there are 2 stickies on the top of this forum, read them!
     
  3. jmann macrumors 604

    jmann

    Joined:
    Dec 8, 2007
    Location:
    bump on a log in a hole in the bottom of the sea
    #3
    If it is a 16gb 2G iphone, then just upgrade to 2.2.1, and download and run quickpwn.

    If it is a 3G it can't be running 2.21. with stock baseband, or it has to be downgraded. When you have it jailbroken you need to download and run yellowsn0w.

    That should be enough info for an idea of the process. For more info, google is your friend. :)
     
  4. MacMane thread starter macrumors regular

    Joined:
    May 1, 2009
    Location:
    Orlando, Fl
    #4
    the phone says Version: 2.2.1 Modem Firmware 2.30.03. The phone was jailbroken already when i bought it. wanted to know if there is a way i can unlock it and if so can someone please type the steps so that i could just simply follow them and solve my problem. i know this is asking a lot but if someone could just spare a few minutes to help me out, it would be greatly appreciated.
     
  5. jav6454 macrumors P6

    jav6454

    Joined:
    Nov 14, 2007
    Location:
    1 Geostationary Tower Plaza
    #5
    1. Out of the question, both are iPhone 3Gs.

    2. The stickies are better. Google gives you to wide range of info that could well be out-dated.
     
  6. MacMane thread starter macrumors regular

    Joined:
    May 1, 2009
    Location:
    Orlando, Fl
    #6
    so is there a way i can downgrade the phone to 2.2 with BB 2.28.00 then jailbreak/unlock it?
     
  7. benflick macrumors 68020

    benflick

    Joined:
    Jul 11, 2008
    Location:
    Cincinnati, Ohio
    #7
    Yes, Go to Cydia and search for "3G Fuzzyband downgrader". Download it, open it, and let it do it's thing. If your iPhone was made before September 2008, this will work. If not, well, you'll just have to wait.
     
  8. jav6454 macrumors P6

    jav6454

    Joined:
    Nov 14, 2007
    Location:
    1 Geostationary Tower Plaza
    #8
    No, do not follow this. First you must know what bootloader version you have. Regardless of make date, bootloaders in iPhone 3G change drastically with no apparent order or organized way. We have seen iPhones with 6.4 bootloaders that are OTB 2.2.0
     
  9. ZebraineZ macrumors 6502

    Joined:
    Mar 17, 2009
    #9
    How so? Just curious :) if you don't mind can you explain a bit more because I was also wondering about the whole before september and bootloader stuff, thanks.
     
  10. benflick macrumors 68020

    benflick

    Joined:
    Jul 11, 2008
    Location:
    Cincinnati, Ohio
    #10
    That's why I posted "3G Fuzzyband Downgrader", because it detects your baseband and bootloader version before attempting to downgrade.
    If you are going to tell the OP not to use it, at least know what you're talking about. :mad:
     

Share This Page